# Deprecated API

## Contents

- Classes
- Fields
- Methods
- Constructors

Classes
org.apache.solr.client.solrj.impl.CloudLegacySolrClient: Please use `CloudSolrClient`
org.apache.solr.client.solrj.impl.ConcurrentUpdateSolrClient: Please use `ConcurrentUpdateHttp2SolrClient`
org.apache.solr.client.solrj.impl.HttpClientUtil: Used to configure the Apache HTTP client. Please use The Http2 client
org.apache.solr.client.solrj.impl.HttpClusterStateProvider: Please use `Http2ClusterStateProvider`
org.apache.solr.client.solrj.impl.HttpSolrClient: Please use `Http2SolrClient`
org.apache.solr.client.solrj.impl.HttpSolrClient.Builder: Please use `Http2SolrClient`
org.apache.solr.client.solrj.impl.Krb5HttpClientBuilder: Please consider alternatives involving the new Solr Http2Client
org.apache.solr.client.solrj.impl.LBHttpSolrClient: Please use `LBHttp2SolrClient`
org.apache.solr.client.solrj.impl.PreemptiveAuth: Please look into using Solr's new Http2 clients
org.apache.solr.client.solrj.impl.PreemptiveBasicAuthClientBuilderFactory: Please look into using Solr's new Http2 clients
org.apache.solr.client.solrj.impl.SolrClientBuilder: Please look into using Solr's new Http2 clients
org.apache.solr.client.solrj.impl.SolrHttpClientBuilder: Please look into using Solr's new Http2 clients
org.apache.solr.client.solrj.impl.SolrHttpClientContextBuilder: Please look into using Solr's new Http2 clients
org.apache.solr.client.solrj.impl.SolrHttpRequestRetryHandler: Please look into using Solr's new Http2 clients

Fields
org.apache.solr.client.solrj.io.Tuple.fieldLabels: use `Tuple.getFieldLabels()` instead of this public field.
org.apache.solr.client.solrj.io.Tuple.fieldNames: use `Tuple.getFieldNames()` instead of this public field.
org.apache.solr.client.solrj.io.Tuple.fields: use `Tuple.getFields()` instead of this public field.
org.apache.solr.client.solrj.request.CollectionAdminRequest.PROPERTY_PREFIX
org.apache.solr.common.params.CollectionParams.FROM_NODE: use `CollectionParams.SOURCE_NODE` instead

Methods
org.apache.solr.client.solrj.io.SolrClientCache.getCloudSolrClient​(String)
org.apache.solr.client.solrj.io.SolrClientCache.getHttpSolrClient​(String)
org.apache.solr.client.solrj.io.Tuple.getMap(): use `Tuple.getFields()` instead.
org.apache.solr.client.solrj.request.CollectionAdminRequest.Backup.setIncremental​(boolean)
org.apache.solr.client.solrj.request.CollectionAdminRequest.CreateTimeRoutedAlias.setMaxFutureMs​(Integer): Please use `CollectionAdminRequest.CreateTimeRoutedAlias.setMaxFutureMs(Long)` instead.
org.apache.solr.client.solrj.request.RequestWriter.getContentStreams​(SolrRequest<?>): Use `RequestWriter.getContentWriter(SolrRequest)`.
org.apache.solr.client.solrj.SolrRequest.getContentStreams(): Please use `SolrRequest.getContentWriter(String)` instead.
org.apache.solr.client.solrj.SolrResponse.deserialize​(byte[])
org.apache.solr.client.solrj.SolrResponse.serializable​(SolrResponse)
org.apache.solr.common.cloud.ZkNodeProps.fromKeyVals​(Object...): use `ZkNodeProps(String...)`
org.apache.solr.common.params.SolrParams.getAll​(Map<String, Object>, Collection<String>)
org.apache.solr.common.params.SolrParams.toFilteredSolrParams​(List<String>)
org.apache.solr.common.params.SolrParams.toMap​(NamedList<?>)
org.apache.solr.common.params.SolrParams.toMultiMap​(NamedList<?>)
org.apache.solr.common.params.SolrParams.toSolrParams​(NamedList<?>): Use `NamedList.toSolrParams()`.
org.apache.solr.common.SolrDocument.getChildDocumentCount()
org.apache.solr.common.SolrDocumentBase.getChildDocumentCount()
org.apache.solr.common.SolrException.log​(Logger): Use the Logger directly
org.apache.solr.common.SolrInputDocument.getChildDocumentCount()

Constructors
org.apache.solr.client.solrj.io.SolrClientCache​(HttpClient)